List hierarchy metadata

GET /users/site/hierarchyMetadata

Operation id: SiteService_ListHierarchyMetadata

Description

Permission Level: Read

Tags: SiteService

Parameters

Query parameters

NameTypeRequiredDescription
hierarchyIdarrayNoHierarchyIds of the hierarchies. Required: false
tenantIdstringNoTenantId of the hierarchy. Required: false (False as this can be inferred from the token)

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
hierarchyMetadataarrayNo
{
  "type": "object",
  "properties": {
    "hierarchyMetadata": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "tenantId": {
            "type": "string",
            "description": "TenantId of the hierarchy."
          },
          "hierarchyId": {
            "type": "string",
            "description": "HierarchyId of the hierarchy."
          },
          "displayName": {
            "type": "string",
            "description": "Display name of the hierarchy."
          },
          "description": {
            "type": "string",
            "description": "Description of the hierarchy."
          },
          "active": {
            "type": "boolean",
            "description": "Active status of hierarchy."
          },
          "levels": {
            "type": "array",
            "description": "Levels of hierarchy.",
            "items": {
              "type": "object"
            }
          },
          "creationTime": {
            "type": "string",
            "format": "date-time"
          },
          "lastUpdated": {
            "type": "string",
            "format": "date-time"
          }
        }
      }
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}